Description

Support Anfrage:

After switching from ADTF 2.xx.x to ADTF 3.2.0 we noticed that the harddisk recorder now works in to distinct steps.

1. During the recording a temporary data file with extension *.adtfdat.tmp is written

2. After recording is stopped this temporary file is again written to hard disc as *.adtfdat

What exactly is the purpose of this process?

We need to record Large quantities of data (150 Gb with data rate of about 573 Mb/s) in quick succession.

The behaviour described above results in a 10 minute break between recordings, since rewriting from *.adtfdat.tmp to *.adtfdat takes

up most of the available writing bandwidth.

Is there a way to write as *.adtfdat directly?

Or is it possible to record as *.adtfdat.tmp only and then transform these to *.adtfdat later on?

Anything that helps to reduce the down time between recordings is much appreciated.

Lösung:

Wechsel zu Version ADTF 3.3.3

Das Verhalten ist in der aktuellen ADTF 3.3.3.Version gelöst.

History

#1 - 2018-08-22 09:01 - hidden

- Project changed from Public Support to 5

- Status changed from New to In Progress

- Topic set to ADTF::Doc

- Department set to CC-PS/ESY

Hallo Roland,

wie bereits am Telefon besprochen, hier nochmals im Ticket:

Das beschrieben Verhalten ist bereits aufgefallen und wurde in der aktuellen ADTF 3.3.3.Version gelöst.

Dies ist im Changlog von ADTF 3.3.3 unter dem BUG Ticket > [ACORE-9610] - Several findings regarding playback and recording < festgehalten.

Bitte umgehend auf die aktuelle ADTF 3.3.3 Version umsteigen. Im Vergleich zu ADTF 3.2.0 sind noch zahlreiche weitere Verbesserungen enthalten.

Die Version könnt Ihr direkt hier auf der Seite im Download Center herunterladen.

Hier findet ihr auch die Doku mit direkten Web-Zugriff.

Bitte um Feedback ob wir diese Anfrage damit wieder schließen können.

Danke und Gruß

Matthias

#2 - 2018-08-22 09:01 - hidden

- Status changed from In Progress to Customer Feedback Required
https://support.digitalwerk.net/projects/download-center


#3 - 2018-08-24 09:36 - hidden

Hallo Roland,

können wir das Ticket schließen?

Bitte um Feedback bis zum Montag 27.08.

Danke und Gruß

Matthias

#4 - 2018-08-24 09:45 - hidden

Hallo,

der Wechsel zu ADTF 3.3.3 hat das Problem behoben.

Danke

#5 - 2018-08-24 09:51 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Topic changed from ADTF::Doc to ADTF::DAT

- Resolution set to Solved Issue

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9610

#6 - 2018-08-28 16:35 - hidden

- Project changed from 5 to Public Support

- Description updated

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

Kurzer Nachtrag:

Den Recording Mode mit Temp File gab es bereits zu ADTF 2.x (File Based History), dieser ist nun default.

Den Continous Mode im Speicher gibt es nicht mehr, macht ja auch wenig Sinn...

Allerdings gab es einen Bug, wie Matthias schon sagt, beim Wegschreiben des Temp Files.

Das ist wie bestätigt mit ADTF 3.3.3 behoben.

Ticket wird geschlossen
